# Hotel API

Version: v2

## Servers

Sandbox URL
```
https://api-ext-sboxmeta.partners.spotnana.com
```

## Security

### Bearer

Type: http
Scheme: bearer

## Download OpenAPI description

 - [Hotel API](https://developer.spotnana.com/_bundle/openapi/HotelApi.yaml)

## Hotel

 - [POST /v2/hotel/search](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelsearch.md): Get all available hotels for the requested search parameters.
 - [POST /v2/hotel/details](https://developer.spotnana.com/openapi/hotelapi/hotel/hoteldetails.md): Get details for a specific hotel.
 - [POST /v2/hotel/price-check](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelpricecheck.md): Checks if the previously selected hotel price has been modified. To indicate the change in hotel price, the `priceChange` field in the response will be set to `true` and the `price` object will conta
 - [POST /v2/hotel/validate-rebooking](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelvalidaterebooking.md): Validates if a hotel rebooking can be performed for price optimization purpose. The Source PNR ID provided in the request will be checked if it's eligible for rebooking. In the response, if `isValid`
 - [POST /v2/hotel/create-pnr](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelcreatepnr.md): Creates a new hotel booking for the given request parameters.
 - [POST /v2/hotel/pnrs/{pnrId}/cancel-pnr](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelcancelpnr.md): This endpoint deletes a pnr by pnrID.
 - [POST /v2/hotel/pnrs/{pnrId}/modify-details](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelmodifydetails.md): Modify the details of an existing hotel booking. This API displays the list of modifications available for the same hotel. Currently, the details such as occupancy date and room type can be modified.
 - [POST /v2/hotel/pnrs/{pnrId}/modify-book](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelmodifybooking.md): Modify an existing hotel booking based on the request parameters. This API is used to confirm the requested changes for the booking.
 - [POST /v2/hotel/ancillaries](https://developer.spotnana.com/openapi/hotelapi/hotel/hotelancillaries.md): Retrieves available ancillaries (add-ons, extras, services) for a selected hotel booking. Ancillaries may include breakfast, parking, early check-in, late checkout, spa services, and other optional se
## Autocomplete

 - [GET /v2/hotel-supplier-autocomplete](https://developer.spotnana.com/openapi/hotelapi/autocomplete/hotelsupplierautocomplete.md): This endpoint provides autocomplete suggestions for hotels based on the query provided.
